Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.Side

class petsc4py.PETSc.PC.Side

  Bases: `object`

  The manner in which the preconditioner is applied.

  Attributes Summary

  `L` | Constant `L` of type `int`
  `LEFT` | Constant `LEFT` of type `int`
  `R` | Constant `R` of type `int`
  `RIGHT` | Constant `RIGHT` of type `int`
  `S` | Constant `S` of type `int`
  `SYMMETRIC` | Constant `SYMMETRIC` of type `int`

  Attributes Documentation

  L: int = L

    Constant `L` of type `int`

  LEFT: int = LEFT

    Constant `LEFT` of type `int`

  R: int = R

    Constant `R` of type `int`

  RIGHT: int = RIGHT

    Constant `RIGHT` of type `int`

  S: int = S

    Constant `S` of type `int`

  SYMMETRIC: int = SYMMETRIC

    Constant `SYMMETRIC` of type `int`